Bug 1885041 - Review Request: python-subarulink - Python package to interact with Subaru Starlink Remote Services API
Summary: Review Request: python-subarulink - Python package to interact with Subaru St...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andy Mender
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2020-10-04 17:29 UTC by Fabian Affolter
Modified: 2020-10-23 22:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 22:16:26 UTC
Type: Bug
andymenderunix: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-10-04 17:29:08 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-subarulink.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-subarulink-0.3.6-1.fc32.src.rpm

Project URL: https://github.com/G-Two/subarulink

Description:
A Python package for interacting with the Subaru Starlink remote
vehicle services API.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=52758064

rpmlint output:
$ rpmlint python-subarulink-0.3.6-1.fc32.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python3-subarulink-0.3.6-1.fc32.noarch.rpm 
python3-subarulink.noarch: W: no-manual-page-for-binary subarulink
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Andy Mender 2020-10-11 13:04:22 UTC
Looks good. Package approved. Full review below:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/


===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License 2.0". 13
     files have unknown license. Detailed output of licensecheck in
     /home/amender/rpmbuild/SPECS/python-subarulink/python-
     subarulink/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint


Installation errors
-------------------
INFO: mock.py version 2.6 starting (python version = 3.8.5)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
INFO: Signal handler active
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled package manager cache
Start: cleaning package manager metadata
Finish: cleaning package manager metadata
INFO: enabled HW Info plugin
Mock Version: 2.6
INFO: Mock Version: 2.6
Finish: chroot init
INFO: installing package(s): /home/amender/rpmbuild/SPECS/python-subarulink/python3-subarulink-0.3.6-1.fc34.noarch.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 34 --setopt=deltarpm=False --allowerasing --disableplugin=local --disableplugin=spacewalk install /home/amender/rpmbuild/SPECS/python-subarulink/python3-subarulink-0.3.6-1.fc34.noarch.rpm --setopt=tsflags=nocontexts



Rpmlint
-------
Checking: python3-subarulink-0.3.6-1.fc34.noarch.rpm
          python-subarulink-0.3.6-1.fc34.src.rpm
python3-subarulink.noarch: W: no-manual-page-for-binary subarulink
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Source checksums
----------------
https://files.pythonhosted.org/packages/source/s/subarulink/subarulink-0.3.6.tar.gz :
  CHECKSUM(SHA256) this package     : c2c04a4c80eb1f3afd575f1eda3443f4cef725c174c1451b3ea60aee6ee69d4b
  CHECKSUM(SHA256) upstream package : c2c04a4c80eb1f3afd575f1eda3443f4cef725c174c1451b3ea60aee6ee69d4b


Requires
--------
python3-subarulink (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3.9dist(aiohttp)
    python3.9dist(setuptools)
    python3.9dist(stdiomask)



Provides
--------
python3-subarulink:
    python-subarulink
    python3-subarulink
    python3.9-subarulink
    python3.9dist(subarulink)
    python3dist(subarulink)

Comment 2 Fabian Affolter 2020-10-13 13:07:17 UTC
Thanks for reviewing this.

Comment 3 Gwyn Ciesla 2020-10-13 13:14:47 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-subarulink

Comment 4 Fedora Update System 2020-10-17 13:33:20 UTC
FEDORA-2020-879cf22fd3 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-879cf22fd3

Comment 5 Fedora Update System 2020-10-18 00:02:44 UTC
FEDORA-2020-879cf22fd3 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-879cf22fd3 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-879cf22fd3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-10-23 22:16:26 UTC
FEDORA-2020-879cf22fd3 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.